#include <stdio.h>
#include <allegro.h>

#include "prjxmain.h"   //Main hub of the game
#include "central.h"    //Central game routines
#include "startup.h"    //Game startup routines
#include "shutdown.h"   //Game shutdown routines
#include "keyboard.h"   //Keyboard handling routines
#include "sound.h"      //Sound processing routines
#include "graphics.h"   //Graphics processing routines
#include "menu.h"       //Menu routines
#include "map.h"        //Map routines

int main()
{
   int GooBeR = 0;  // Dummy variable to keep the program looping
   SndVol = 51; // A Range from 0 to 255 in steps of 5 (or 3 for slidebar)
   MidiVol = 1; // 0 or 1 ... Off or On

   do_config();            // Do the dos sound configuration
   do_startup();           // Startup allegro graphics and sound
   do_logo();              // Present the logo screen
   show_mainmenu(1);       // Show the main menu
   do_mainmenu(KeyWay);    // Enter the Main Menu handling section

   do
   {
      switch(GAME_STAT)       // ** Find out where you are in the game
      {
         case MAINMENU:       // *!* In the main menu
            KBD_MainMenu();         // -*- Go to the keyboard handling routines for the main menu
            break;
         case SETUPMENU:      // *!* In the setup menu
            KBD_SetupMenu();        // -*- Go to the keyboard handling routines for the setup menu
            break;
         case MAINMAP:     // *!* In the main map
            KBD_MainMap();          // -*- Go to the keyboard handling routines for the main map
            break;
      }
   } while(GooBeR==0);
}
